#ifndef __OBJPARSER_H
#define __OBJPARSER_H

#include <string>
#include "Parser.h"

namespace GtpVisibilityPreprocessor {

class SceneGraphNode;

class ObjParser: public Parser
{
public:

  ObjParser(): Parser() {}
  
  virtual bool ParseFile(const std::string filename, 
						 SceneGraphNode *root,
						 const bool loadMeshes = true,
						 vector<FaceParentInfo> *parents = NULL);
  
};

}


#endif
